import { ModalConfig } from "/@/components/PageModal/src/types";
import { GOOD_OPTIONS } from "/@/config/status";
const modalConfig: ModalConfig = {
  title: "商品",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "good",
  labelWidth: "85px",
  formItems: [
    {
      field: "name",
      type: "input",
      label: "商品名称",
      placeholder: "商品名称",
      span: 24,
      rules: [{ required: true, trigger: "blur", message: "请输入商品名称" }]
    },
    {
      field: "type",
      type: "select",
      label: "商品类型",
      placeholder: "商品类型",
      span: 8,
      options: GOOD_OPTIONS,
      rules: [{ required: true, trigger: "change", message: "请选择商品类型" }]
    },
    {
      field: "unit",
      type: "input",
      label: "单位",
      placeholder: "单位",
      span: 8,
      rules: [{ required: true, trigger: "blur", message: "请输入步长" }]
    },
    {
      field: "price",
      type: "number",
      label: "售价",
      placeholder: "售价",
      span: 8,
      rules: [{ required: true, trigger: "blur", message: "请输入售价" }]
    },
    {
      field: "img1",
      type: "img_upload",
      label: "封面图",
      placeholder: "封面图",
      span: 8,
      rules: [{ required: true, trigger: "blur", message: "请输入备注" }]
    },
    {
      field: "a",
      type: "number",
      label: "起订量",
      placeholder: "起订量",
      span: 8,
      rules: [{ required: true, trigger: "blur", message: "请输入起订量" }]
    },
    {
      field: "b",
      type: "number",
      label: "步长",
      placeholder: "步长",
      span: 8,
      rules: [{ required: true, trigger: "blur", message: "请输入步长" }]
    },

    {
      field: "img2",
      type: "img_upload",
      label: "轮播图",
      placeholder: "轮播图",
      span: 16,
      rules: [{ required: true, trigger: "blur", message: "请输入备注" }]
    },
    {
      field: "img3",
      type: "img_upload_list",
      label: "详情图",
      placeholder: "详情图",
      rules: [{ required: true, trigger: "blur", message: "请输入备注" }]
    },
    {
      field: "arr",
      type: "input",
      label: "产品参数",
      placeholder: "产品参数",
      rules: [{ required: true, trigger: "blur", message: "请输入备注" }]
    },
    {
      field: "remark",
      type: "textarea",
      label: "备注",
      placeholder: "备注",
      rules: [{ required: false, trigger: "blur", message: "请输入备注" }]
    }
  ]
};

export default modalConfig;
